Name:           clipgrab
Version:        3.9.7
Release:        %mkrel 1
Summary:        Download and Convert online videos
License:        GPLv3+
Group:          Video/Editors and Converters
Url:            https://clipgrab.org/
Source0:        https://download.clipgrab.org/%{name}-%{version}.tar.gz
#Patch0:         https://gitlab.com/kikadf/clipgrab-qt5/raw/master/clipgrab-3.8.14-close2tray.patch
Patch1:         clipgrab-3.9.7-use-system-youtube_dlp.patch
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  imagemagick
Requires:       ffmpeg
Requires:       qtwebengine5
Requires:       yt-dlp

%description
ClipGrab is a GPLv3 licenced, free and cost-free software for downloading
and converting online videos.

%prep
%autosetup -p1

%build
%qmake_qt5 clipgrab.pro
%make_build

%install
mkdir -p %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications

install -D -m755 %{name} %{buildroot}%{_bindir}
install -D -m644 *.qm %{buildroot}%{_datadir}/%{name}/
install -D -m644 *.png %{buildroot}%{_datadir}/%{name}/
install -D -m644 icon.png %{buildroot}%{_iconsdir}/%{name}.png

convert -geometry 32x32 icon.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 16x16 icon.png %{buildroot}%{_miconsdir}/%{name}.png
convert -scale 16x16 icon.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 icon.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

# Add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | sed -e 's|^.||' | sed -e \
    's:\(%{_datadir}/%{name}/%{name}_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:'\
        >> %{name}.lang

#------------------------------------------------------------------------
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
GenericName=ClipGrab
Name=ClipGrab
Comment=Use ClipGrab to download and convert online videos
Comment[ca]=Empreu ClipGrab per descarregar i convertir vídeos online.
Comment[cs]=Použijte program ClipGrap pro stažení a konverzi online videí
Comment[de]=Benutzen Sie ClipGrab, um Online-Videos herunterzuladen und zu konvertieren.
Comment[el]=Λήψη και μετατροπή βίντεο από το διαδίκτυο
Comment[es]=Utilice ClipGrab para descargar y convertir videos de la red
Comment[et]=ClipGrab aitab videoid veebist alla laadida ja teisendada.
Comment[fr]=Utilisez ClipGrad pour télécharger et convertir des vidéos d'Internet
Comment[it]=Utilizzare ClipGrab per scaricare e convertire i video
Comment[nl]=Gebruik ClipGrab om online videos te downloaden en converteren
Comment[pl]=Użyj programu ClipGrab do pobrania i konwersji filmów online
Comment[sl]=Uporabite ClipGrab za prenos in pretvorbo spletnih videov
Comment[uk]=Скористатися ClipGrab для отримання та перетворення інтернет-відео
Comment[zh_TW]=使用 ClipGrab 來下載並轉換線上影片
Exec=clipgrab
Icon=clipgrab
Type=Application
StartupNotify=true
Categories=AudioVideo;Recorder;X-Mageia-CrossDesktop;
EOF
#------------------------------------------------------------------------

%files -f %{name}.lang
%doc README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Feb 28 2023 daviddavid <daviddavid> 3.9.7-1.mga8
+ Revision: 1945893
- new version: 3.9.7 (fixes mga#31583)
- switch to yt-dlp
- new version: 3.9.6 (fixes mga#28869)
- upstream switched to youtube-dl, so add a patch to use the system one
  and not a downloaded one

* Wed Dec 16 2020 umeabot <umeabot> 3.8.3-3.mga8
+ Revision: 1658226
- Rebuild for new Qt5
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Sat Feb 15 2020 umeabot <umeabot> 3.8.3-2.mga8
+ Revision: 1527204
- Mageia 8 Mass Rebuild

* Wed Jul 10 2019 daviddavid <daviddavid> 3.8.3-1.mga8
+ Revision: 1419908
- new version: 3.8.3

* Sun Jun 16 2019 daviddavid <daviddavid> 3.8.2-1.mga7
+ Revision: 1400125
- new version: 3.8.2
- port to Qt5
- fix startup issue (mga#24962)

* Sun Dec 02 2018 dglent <dglent> 3.7.2-1.mga7
+ Revision: 1337523
- Version 3.7.2

* Sat Sep 22 2018 umeabot <umeabot> 3.6.6-2.mga7
+ Revision: 1296583
- Mageia 7 Mass Rebuild

* Sat Nov 11 2017 dglent <dglent> 3.6.6-1.mga7
+ Revision: 1176881
- Version 3.6.6

* Sat Dec 19 2015 dglent <dglent> 3.5.6-1.mga6
+ Revision: 912273
- Version 3.5.6

* Thu Oct 08 2015 wally <wally> 3.5.1-2.mga6
+ Revision: 887585
- require ffmpeg (without it clipgrab is pretty much useless)

* Thu Aug 06 2015 dglent <dglent> 3.5.1-1.mga6
+ Revision: 861488
- Version 3.5.1

* Sun Jul 05 2015 dglent <dglent> 3.4.11-1.mga6
+ Revision: 850739
- Version 3.4.11

* Sun Feb 22 2015 dglent <dglent> 3.4.9-1.mga5
+ Revision: 816349
- Version 3.4.9

* Sun Jan 25 2015 dglent <dglent> 3.4.8-1.mga5
+ Revision: 812173
- Version 3.4.8

* Wed Oct 15 2014 umeabot <umeabot> 3.4.7-2.mga5
+ Revision: 743206
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 dglent <dglent> 3.4.7-1.mga5
+ Revision: 731599
- New version 3.4.7
- Add desktop icons in hicolor path

* Tue Sep 16 2014 umeabot <umeabot> 3.4.2-2.mga5
+ Revision: 678427
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Mar 18 2014 wally <wally> 3.4.2-1.mga5
+ Revision: 605065
- new version 3.4.2
+ dglent <dglent>
- Drop ffmpeg patch (qscale removed upstream)
- Search and add translation lang tags

* Mon Oct 21 2013 umeabot <umeabot> 3.2.1.2-3.mga4
+ Revision: 538351
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 wally <wally> 3.2.1.2-2.mga4
+ Revision: 489316
- add patch to use ffmpeg with qscale switch instead of obsoleted sameq switch

* Sun Sep 29 2013 dglent <dglent> 3.2.1.2-1.mga4
+ Revision: 489311
- New version 3.2.1.2
- Add lang tags
- Don't package translation source files

* Tue Jul 16 2013 dglent <dglent> 3.2.1.0-1.mga4
+ Revision: 455097
- New version 3.2.1.0
- Update SPEC

* Fri Jan 11 2013 umeabot <umeabot> 3.2.0.9-2.mga3
+ Revision: 347884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ blue_prawn <blue_prawn>
- only one Summary field is probably enough

* Sun Sep 30 2012 obgr_seneca <obgr_seneca> 3.2.0.9-1.mga3
+ Revision: 300806
- Adapted group to new policy
+ dglent <dglent>
- New version 3.2.0.9
- Drop patch clipgrab-3.2.0.6-mga-remove-nonexisting-images.patch (fixed upstream)
- Spec cleanup

* Mon Jun 18 2012 obgr_seneca <obgr_seneca> 3.2.0.6-1.mga3
+ Revision: 261692
- New version 3.2.0.6
- added missing br for graphviz
- removed extra desktop file, upstream does provide one now

* Thu Mar 22 2012 obgr_seneca <obgr_seneca> 3.1.3.0-3.mga2
+ Revision: 225668
- added translations to desktop file

* Mon Mar 19 2012 obgr_seneca <obgr_seneca> 3.1.3.0-2.mga2
+ Revision: 224443
- replaced X-MandrivaLinux-CrossDesktop by X-Mageia-CrossDesktop in desktop file

* Wed Jan 04 2012 obgr_seneca <obgr_seneca> 3.1.3.0-1.mga2
+ Revision: 190769
- new version 3.1.3.0

* Sun Dec 18 2011 fwang <fwang> 3.1.0.2-2.mga2
+ Revision: 183658
- br qtwebkit

* Tue Oct 04 2011 obgr_seneca <obgr_seneca> 3.1.0.2-1.mga2
+ Revision: 151477
- New version

* Sat Mar 12 2011 obgr_seneca <obgr_seneca> 3.1.0.1-2.mga1
+ Revision: 68338
- imported package clipgrab


* Fri Mar 11 2011 Oliver Burger <oliver.bgr@googlemail.com> 3.1.0.1-2mga1
- moved desktop file from spec to own file
- removed buildroot tag

* Tue Mar 08 2011 Oliver Burger <rpm@mandrivauser.de> 3.1.0.1-1mud2010.2
- new version 3.1.0.1

* Fri Aug 06 2010 Jens Ornot <rpm@mandrivauser.de> 3.0.7.2-1mud2010.1
- new version 3.0.7.2

* Fri Jul 16 2010 Doktor5000 <rpm@mandrivauser.de> 3.0.7.1-1mud2010.1
- rebuild for Mandrivalinux 2010.1
- new version 3.0.7.1

* Tue Apr 19 2010 Doktor5000 <rpm@mandrivauser.de> 3.0.6.6-1mud2010.0
- new version 3.0.6.6

* Sun Nov 15 2009 Doktor5000 <rpm@mandrivauser.de> 3.0.2-1mud2010.0
- rebuild for Mandrivalinux 2010.0
- new version 3.0.2
- make rpmlint happy :)

* Sun Nov 02 2008 Doktor5000 <rpm@mandrivauser.de> 2.0-1.beta2mud2009.0
- rebuild for Mandrivalinux 2009.0
- fix overlinking issues by using %%qmake_qt4
- fix desktop entry and icon naming
- fixed Group, License and Summary
- fix %%_bindir file location to prevent "arch-dependent-file-in-usr-share"
- remove %%post entries, deprecated by filetriggers
- try to fix versioning
- fix %%clean section

* Tue Aug 12 2008 Doktor5000 <rpm@mandrivauser.de> 2.0-beta2-1mud2008.1
- rebuild for Mandrivalinux 2008.1

* Mon Aug 04 2008 <maik3531@web.de> 2.0-beta2-1mdv2008.1
- rebuild for Mandriva

* Sat Mar 29 2008 <maik3531@web.de> 2.0-beta2-1pclos2007
- first version clipgrab-2.0-beta2
